Name:    freight
Version: 0.3.13
Release: 1%{?dist}
Summary: A modern take on the Debian archive

License: BSD
URL:     https://github.com/freight-team/%{name}
Source0: https://github.com/freight-team/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

#Patch needed to set paths referenced in scripts to /usr/share to conform to Fedora standard paths
Patch1:  freight-0.3.13-libs-usrshare.patch

BuildArch: noarch

BuildRequires: make

Requires: coreutils
Requires: dpkg
Requires: gnupg

%description
freight programs create the files needed to serve a Debian archive. The actual
serving is done via your favorite HTTP server.

%prep
%setup -qn %{name}-%{version}
%patch1 -p1

%build
%make_build

%install
%make_install \
             prefix=%{_prefix} \
             bindir=%{_bindir} \
             libdir=%{_datadir} \
             sysconfdir=%{_sysconfdir} \
             mandir=%{_mandir}

mv %{buildroot}%{_sysconfdir}/%{name}.conf{.example,}

# VARLIB, freight library
mkdir -p %{buildroot}%{_sharedstatedir}/%{name}

# VARCACHE, freight cache (to be served by httpd)
mkdir -p %{buildroot}%{_localstatedir}/cache/%{name}

# some empty config files are shipped
find %{buildroot}%{_sysconfdir} -type f -size 0 -delete

%files
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_localstatedir}/cache/%{name}
%{_sharedstatedir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc NOTES README.md
%license LICENSE

%changelog
* Mon Mar 15 2021 Sam P <survient@fedoraproject.org> - 0.3.13-1
- Updated to latest upstream release.

* Thu May 21 2020 Sam P <survient@fedoraproject.org> - 0.3.12-1
- Updated to latest upstream release

* Thu Dec 22 2016 Dominic Cleal <dominic@cleal.org> - 0.3.10-1
- Update to 0.3.10

* Wed Mar 30 2016 Dominic Cleal <dominic@cleal.org> - 0.3.8-1
- Update to 0.3.8

* Thu Mar 24 2016 Dominic Cleal <dominic@cleal.org> - 0.3.7-1
- Update to 0.3.7

* Wed Mar 09 2016 Dominic Cleal <dominic@cleal.org> - 0.3.6-1
- Update to 0.3.6

* Thu Feb 11 2016 Dominic Cleal <dcleal@redhat.com> - 0.3.5-10
- Add patch to fix SHA field labels

* Mon Feb 08 2016 Dominic Cleal <dcleal@redhat.com> - 0.3.5-9
- Change date patch to add Valid-Until field

* Mon Feb 01 2016 Dominic Cleal <dcleal@redhat.com> - 0.3.5-8
- Add patch to add date to release file

* Thu Jun 04 2015 Dominic Cleal <dcleal@redhat.com> - 0.3.5-7
- Fix more loading of libs from /usr/share

* Thu Jun 04 2015 Dominic Cleal <dcleal@redhat.com> - 0.3.5-6
- Fix loading of libs from /usr/share

* Thu Jun 04 2015 Dominic Cleal <dcleal@redhat.com> - 0.3.5-5
- Rebuild as -4 was deleted due to lack of dpkg

* Tue Jul 08 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-4
- Remove manual copy of doc files

* Tue Jul 08 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-3
- Simplify docs inclusion in files section
- Use install instead of cp to copy documentation
- Fix location of review ticket number

* Mon Jul 07 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-2
- Added LICENSE, NOTES and README.md to files section
- Added review ticket number to initial changelog

* Tue Jul 01 2014 Dominic Cleal <dcleal@redhat.com> - 0.3.5-1
- Initial version (#1115049)
